	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_TRANSEMPLOY_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var LOAD_MORE_BBI = null;
	var LOAD_PREV_BBI = null;
	var LOAD_NEXT_BBI = null;
	var LOAD_PAGING_CMB = null;
	var LOAD_PAGING_IGNORE_NEXT_REQUEST = false;
	
	var QUEUE_BBI = null;
	var START_BBI = null;
	var COMPLETION_BBI = null;
	var LOAD_TASK_BBI = null; 
		
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_TRANSEMPLOY_REC_TRANS_ID_CMB = null;
	var REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB = null;
	var REC_TRANSEMPLOY_TASK_CMB = null;
	var REC_TRANSEMPLOY_TIME_BEGIN_DTP = null;
	var REC_TRANSEMPLOY_TIME_END_DTP = null;
	var REC_TRANSEMPLOY_REMARKS_TXT = null;
	var REC_TRANSEMPLOY_STATUS_CMB = null;
	
	
	var PARAM_REC_TRANSEMPLOY_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var TRANS_EMPLOY_DGV = null;
	var TASKS_DGV = null;
	var TRANS_EMPLOY_LAST_GET_MAP_ARRAY = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_TRANS_EMPLOY"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_TRANS_EMPLOY");
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_TRANS_EMPLOY"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_TRANS_EMPLOY");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_TRANS_EMPLOY") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_TRANS_EMPLOY")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_TRANS_EMPLOY', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_TRANS_EMPLOY', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
	
			JSOC_CMB.VAR_CLEAR("REC_TRANSEMPLOY_REC_TRANS_ID_CMB");
			JSOC_CMB.VAR_ADD("REC_TRANSEMPLOY_REC_TRANS_ID_CMB", PROPERTY_PARENT_ID, PROPERTY_PARENT_DESCRIPTION);
			JSOC_CMB.VAR_SELECTED_INDEX("REC_TRANSEMPLOY_REC_TRANS_ID_CMB", 0);
		}
		
		// Assign Fixed Parent (Must remove auto-populate at ch.js and HTTP_PARENT_LOAD at eh.js)
		// ...........................................
		/*
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARENT_SELECT_CMB"))
		{
			JSOC_CMB.VAR_ADD
			(
				"PARENT_SELECT_CMB", 
				PROPERTY_PARENT_ID,
				PROPERTY_PARENT_DESCRIPTION
			);
		}
		*/
		
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_TRANSEMPLOY_ID"))
		{
			PROPERTY_REC_TRANSEMPLOY_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_TRANSEMPLOY_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_TRANSEMPLOY_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("TRANS_EMPLOY_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("TRANS_EMPLOY_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("TRANS_EMPLOY_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_REC_TRANSEMPLOY_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						JSOC_DIALOG.VAR_MODAL("TRANS_EMPLOY_MODAL", true);
						STATUS_UPDATE(1, 1);
						JSOC_ELEMENT.VAR_VALUE("REC_TRANSEMPLOY_TIME_BEGIN_DTP", "1970-01-01T00:00");
						JSOC_ELEMENT.VAR_VALUE("REC_TRANSEMPLOY_TIME_END_DTP", "1970-01-01T00:00");
					};					
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
						
						// If opened from different page, close window
						if
						(
							JSVC_STR.VAR_IS_BLANK(PROPERTY_EMPLOYEE_ID) == false &&
							JSVC_STR.VAR_IS_BLANK(PROPERTY_EMPLOYEE_DESCRIPTION) == false &&
							JSVC_STR.VAR_IS_BLANK(PROPERTY_REC_TRANS_REFERENCE_CODE) == false
						)
						{
							window.close();
						}
					};
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					};
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};	
		}
		
		// Initialize: Load more items to the list
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_MORE_BBI"))
		{
    		LOAD_MORE_BBI = JSOC_ELEMENT.VAR_GET("LOAD_MORE_BBI");  
			LOAD_MORE_BBI.onclick = 
				function()
				{
					HTTP_SEARCH_LOAD_MORE();
				};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PREV_BBI"))
		{
    		LOAD_PREV_BBI = JSOC_ELEMENT.VAR_GET("LOAD_PREV_BBI");  
			LOAD_PREV_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX > 0)
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX - 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_NEXT_BBI"))
		{
    		LOAD_NEXT_BBI = JSOC_ELEMENT.VAR_GET("LOAD_NEXT_BBI");  
			LOAD_NEXT_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX + 1 < JSOC_CMB.VAR_COUNT(LOAD_PAGING_CMB))
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX + 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PAGING_CMB"))
		{
    		LOAD_PAGING_CMB = JSOC_ELEMENT.VAR_GET("LOAD_PAGING_CMB");  
			LOAD_PAGING_CMB.onchange = 
				function()
				{
					HTTP_SEARCH_LOAD_PAGE();
				};
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH();};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('TRANS_EMPLOY_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}		

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('TRANS_EMPLOY_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}	
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("QUEUE_BBI"))
		{
			QUEUE_BBI = JSOC_ELEMENT.VAR_GET("QUEUE_BBI");
			QUEUE_BBI.onclick = function()
			{
				STATUS_UPDATE(1, 2);
				EDIT_HANDLER.REF_IS_MODIFIED = true;
			};
		}	
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("START_BBI"))
		{
			START_BBI = JSOC_ELEMENT.VAR_GET("START_BBI");
			START_BBI.onclick = function()
			{
				STATUS_UPDATE(2, 2);
				EDIT_HANDLER.REF_IS_MODIFIED = true;
			};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("COMPLETION_BBI"))
		{
			COMPLETION_BBI = JSOC_ELEMENT.VAR_GET("COMPLETION_BBI");
			COMPLETION_BBI.onclick = function()
			{
				STATUS_UPDATE(4, 2);
				EDIT_HANDLER.REF_IS_MODIFIED = true;
			};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_TASK_BBI"))
		{
			LOAD_TASK_BBI = JSOC_ELEMENT.VAR_GET("LOAD_TASK_BBI");
			LOAD_TASK_BBI.onclick = function()
			{
				FETCH_ACTIVE_TASKS();
			};
		}		
		
		
	
		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSEMPLOY_ID_TXT"))
		{
			REC_TRANSEMPLOY_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSEMPLOY_ID_TXT");      
			REC_TRANSEMPLOY_ID_TXT.onchange = 
				function()
				{
					if(REC_TRANSEMPLOY_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSEMPLOY_ID_TXT.onkeypress = function(){REC_TRANSEMPLOY_ID_TXT.onchange();};
			REC_TRANSEMPLOY_ID_TXT.onpaste = function(){REC_TRANSEMPLOY_ID_TXT.onchange();};
			//REC_TRANSEMPLOY_ID_TXT.oninput = function(){REC_TRANSEMPLOY_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSEMPLOY_REC_TRANS_ID_CMB"))
		{
			REC_TRANSEMPLOY_REC_TRANS_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSEMPLOY_REC_TRANS_ID_CMB");      	
			REC_TRANSEMPLOY_REC_TRANS_ID_CMB.onchange = 
				function()
				{
					if(REC_TRANSEMPLOY_REC_TRANS_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSEMPLOY_REC_TRANS_ID_CMB.onkeypress = function(){REC_TRANSEMPLOY_REC_TRANS_ID_CMB.onchange();};
			REC_TRANSEMPLOY_REC_TRANS_ID_CMB.onpaste = function(){REC_TRANSEMPLOY_REC_TRANS_ID_CMB.onchange();};
			//REC_TRANSEMPLOY_REC_TRANS_ID_CMB.oninput = function(){REC_TRANSEMPLOY_REC_TRANS_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB"))
		{
			REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB");      	
			REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.onchange = 
				function()
				{
					if(REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.onkeypress = function(){REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.onchange();};
			REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.onpaste = function(){REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.onchange();};
			//REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.oninput = function(){REC_TRANSEMPLOY_REC_EMPLOYEE_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSEMPLOY_TASK_CMB"))
		{
			REC_TRANSEMPLOY_TASK_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSEMPLOY_TASK_CMB");     
			REC_TRANSEMPLOY_TASK_CMB.onchange = 
				function()
				{
					if(REC_TRANSEMPLOY_TASK_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSEMPLOY_TASK_CMB.onkeypress = function(){REC_TRANSEMPLOY_TASK_CMB.onchange();};
			REC_TRANSEMPLOY_TASK_CMB.onpaste = function(){REC_TRANSEMPLOY_TASK_CMB.onchange();};
			//REC_TRANSEMPLOY_TASK_CMB.oninput = function(){REC_TRANSEMPLOY_TASK_CMB.onchange();};						
		}
		
		DTP_BLOCK = JSCUS_PG._TOOL.APPLY_DTP_FROM_TO_SETUP("REC_TRANSEMPLOY_TIME_BEGIN", null, null, null, null, 3);
		REC_TRANSEMPLOY_TIME_BEGIN_DTP = DTP_BLOCK[0];
		SEARCH_REC_TRANSEMPLOY_TIME_BEGIN_CMB = DTP_BLOCK[1];
		SEARCH_REC_TRANSEMPLOY_TIME_BEGIN_FROM_DTP = DTP_BLOCK[2];
		SEARCH_REC_TRANSEMPLOY_TIME_BEGIN_TO_DTP = DTP_BLOCK[3];
		
		DTP_BLOCK = JSCUS_PG._TOOL.APPLY_DTP_FROM_TO_SETUP("REC_TRANSEMPLOY_TIME_END", null, null, null, null, 3);
		REC_TRANSEMPLOY_TIME_END_DTP = DTP_BLOCK[0];
		SEARCH_REC_TRANSEMPLOY_TIME_END_CMB = DTP_BLOCK[1];
		SEARCH_REC_TRANSEMPLOY_TIME_END_FROM_DTP = DTP_BLOCK[2];
		SEARCH_REC_TRANSEMPLOY_TIME_END_TO_DTP = DTP_BLOCK[3];
		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSEMPLOY_REMARKS_TXT"))
		{
			REC_TRANSEMPLOY_REMARKS_TXT = JSOC_ELEMENT.VAR_GET("REC_TRANSEMPLOY_REMARKS_TXT");      
			REC_TRANSEMPLOY_REMARKS_TXT.onchange = 
				function()
				{
					if(REC_TRANSEMPLOY_REMARKS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSEMPLOY_REMARKS_TXT.onkeypress = function(){REC_TRANSEMPLOY_REMARKS_TXT.onchange();};
			REC_TRANSEMPLOY_REMARKS_TXT.onpaste = function(){REC_TRANSEMPLOY_REMARKS_TXT.onchange();};
			//REC_TRANSEMPLOY_REMARKS_TXT.oninput = function(){REC_TRANSEMPLOY_REMARKS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_TRANSEMPLOY_STATUS_CMB"))
		{
			REC_TRANSEMPLOY_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_TRANSEMPLOY_STATUS_CMB");      	
			REC_TRANSEMPLOY_STATUS_CMB.onchange = 
				function()
				{
					if(REC_TRANSEMPLOY_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_TRANSEMPLOY_STATUS_CMB.onkeypress = function(){REC_TRANSEMPLOY_STATUS_CMB.onchange();};
			REC_TRANSEMPLOY_STATUS_CMB.onpaste = function(){REC_TRANSEMPLOY_STATUS_CMB.onchange();};
			//REC_TRANSEMPLOY_STATUS_CMB.oninput = function(){REC_TRANSEMPLOY_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_TRANSEMPLOY_ID_FILE_FP"))
		{
			PARAM_REC_TRANSEMPLOY_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_TRANSEMPLOY_ID_FILE_FP");
			PARAM_REC_TRANSEMPLOY_ID_FILE_FP.onchange = 
				function()
				{
					if(PARAM_REC_TRANSEMPLOY_ID_FILE_FP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};			
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};
	
	function STATUS_UPDATE(CHANGE_STATUS_TO = -1, DISBALE_BUTTONS = 0)
	{
		// if Value has assigned, update the value
		// ...........................................
		if(CHANGE_STATUS_TO > 0)
		{
			JSOC_CMB.VAR_SELECTED_VALUE(REC_TRANSEMPLOY_STATUS_CMB, CHANGE_STATUS_TO.toString());
		}
		
		// Handle Accessible Buttons
		// ...........................................
		if(JSOC_CMB.VAR_SELECTED_VALUE_NVAL(REC_TRANSEMPLOY_STATUS_CMB) == 1) // To Queue
		{
			JSOC_STYLE.VAR_DISPLAY(QUEUE_BBI, "NONE");
			JSOC_STYLE.VAR_DISPLAY(START_BBI, "DEFAULT");
			JSOC_STYLE.VAR_DISPLAY(COMPLETION_BBI, "NONE");			
		}
		else if(JSOC_CMB.VAR_SELECTED_VALUE_NVAL(REC_TRANSEMPLOY_STATUS_CMB) == 2) // To Start Task
		{
			JSOC_STYLE.VAR_DISPLAY(QUEUE_BBI, "DEFAULT");
			JSOC_STYLE.VAR_DISPLAY(START_BBI, "NONE");
			JSOC_STYLE.VAR_DISPLAY(COMPLETION_BBI, "DEFAULT");		
		}
		else if(JSOC_CMB.VAR_SELECTED_VALUE_NVAL(REC_TRANSEMPLOY_STATUS_CMB) == 4) // To Complete Task
		{
			JSOC_STYLE.VAR_DISPLAY(QUEUE_BBI, "NONE");
			JSOC_STYLE.VAR_DISPLAY(START_BBI, "NONE");
			JSOC_STYLE.VAR_DISPLAY(COMPLETION_BBI, "NONE");		
		}
				
		// Enable, Disable Buttons
		// ...........................................
		if(DISBALE_BUTTONS == 1)
		{
			JSOC_ELEMENT.VAR_ENABLED(QUEUE_BBI, true);
			JSOC_ELEMENT.VAR_ENABLED(START_BBI, true);
			JSOC_ELEMENT.VAR_ENABLED(COMPLETION_BBI, true);					
		}
		else if(DISBALE_BUTTONS == 2)
		{
			JSOC_ELEMENT.VAR_ENABLED(QUEUE_BBI, false);
			JSOC_ELEMENT.VAR_ENABLED(START_BBI, false);
			JSOC_ELEMENT.VAR_ENABLED(COMPLETION_BBI, false);				
		}
	};